{% extends "baseLayout.html" %}
{% load static %}

{% block body %}
{% include "includes/sidebar-left.html" %}
<div class="float-left bg-light content">
  <div class="container-fliud">
    <div class="wrapper row m-5">
      <div class="col-md-4">
        <img src="{{ film.pathImg }}" class="img-thumbnail"  alt="{{ film.name }} movie poster"/>
      </div>
      <div class="details col-md-6">
        <h1 class="film-title mb-3 mt-3 pull-left d-inline">{{ film.name }}</h1>
        <h4 class="d-inline ml-2"><span class="text-secondary">({{ film.releaseDate }})</span></h4>
        <hr />
        <h5 class="film-originalTitle ml-3 text-secondary">{{ film.originalName }}</h5>
        <h5 class="film-director m-3 mt-2">
          Director :
          <a href="/main/director/details/{{ film.director.id }}">{{ film.director.firstName }} {{ film.director.lastName }}</a>
        </h5>
        <h6 class="film-director ml-3 mt-4">
          Duration <span class="text-primary oi oi-clock"></span> {{ film.duration }}
        </h6>
        <h6 class="ml-3">Users Rating</h6>
        <div class="rating mb-5 mt-2 ml-3">
          <div class="pull-left">
            <div class="progress">
              {% if film.rating > 75.0 %}
              <div class="progress-bar bg-success" role="progressbar" style="width: {{ film.rating }}%">
              {% elif film.rating > 30.0 %}
              <div class="progress-bar bg-warning" role="progressbar" style="width: {{ film.rating }}%">
              {% else %}
              <div class="progress-bar bg-danger" role="progressbar" style="width: {{ film.rating }}%">
              {% endif %}
                <span class="sr-only">{{ film.rating }}%</span>
                {{film.rating|stringformat:"d"}}%
              </div>
            </div>
          </div>
        </div>
        <h4>Synopsis</h4>
        <p class="film-description ml-3">{{ film.description }}<p>
        </div>
      </div>
      <div class="down-bar-container">
        <div class="row ml-1">
          <h4>Actors</h4>
        </div>
        <hr />
        <div class="d-flex flex-wrap justify-content-center">
          {% for actor in actors %}
          <a class="link-block" href="/main/actor/details/{{actor.id}}">
            <div class="card m-2" style="">
              <img class="card-img-top img-mdm-thumbnail" src="{{actor.pathImg}}" alt="Card image cap">
              <div class="card-body">
                <h6 class="card-text text-center">{{ actor.firstName }} {{ actor.lastName }}</h6>
              </div>
            </div>
          </a>
          {% endfor %}
        </div>
      </div>
    </div>
  </div>
  {% include "includes/sidebar-right.html" %}
  {% endblock %}
